package design

import (
	. "goa.design/goa/v3/dsl"
)

var Item = Type("item", func() {
	Field(1, "id", Int)
	Field(2, "name", String)
	Field(3, "description", String)
	Field(4, "multiplier", String)
	Field(5, "type", String)
	Required("name", "description", "multiplier", "type")
})

var Character = Type("character", func() {
	Field(1, "id", Int)
	Field(2, "name", String)
	Field(3, "description", String)
	Field(4, "class", String)
	Required("name", "description", "class")
})