package itemapi

import (
	"context"
	item "crossnokaye-interview-assignment/services/item/gen/item"
	"log"
)

// item service example implementation.
// The example methods log the requests and return zero values.
type itemsrvc struct {
	logger *log.Logger
}

// NewItem returns the item service implementation.
func NewItem(logger *log.Logger) item.Service {
	return &itemsrvc{logger}
}

// GetItem implements getItem.
func (s *itemsrvc) GetItem(ctx context.Context, p int) (res *item.Item, err error) {
	res = &item.Item{}
	s.logger.Print("item.getItem")
	return
}

// CreateItem implements createItem.
func (s *itemsrvc) CreateItem(ctx context.Context, p *item.Item) (res *item.Item, err error) {
	res = &item.Item{}
	s.logger.Print("item.createItem")
	return
}

// UpdateItem implements updateItem.
func (s *itemsrvc) UpdateItem(ctx context.Context, p *item.Item) (res *item.Item, err error) {
	res = &item.Item{}
	s.logger.Print("item.updateItem")
	return
}

// DeleteItem implements deleteItem.
func (s *itemsrvc) DeleteItem(ctx context.Context, p int) (err error) {
	s.logger.Print("item.deleteItem")
	return
}
